#ifndef _FILES_H_
#define _FILES_H_

typedef struct {
  long *d;
  int dsize;
  int dmaxsize;
} cookie_cache;

void init_files(void);
unsigned long new_file(char *);
char *ul2name(unsigned long);

unsigned long fhandle2ul(char *);
void ul2fhandle(unsigned long, char *);
char *fhandle2name(char *fhandle);

cookie_cache *fhandle2cookies(char *);
long get_cookie(cookie_cache *, int);
void clear_cookie_cache(cookie_cache *);
int add_cookie(cookie_cache *, long);

#endif /* _FILES_H_ */
